Bug 617257 - resource picker for operation-based alert notification not working on IE
Summary: resource picker for operation-based alert notification not working on IE
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Alerts   
(Show other bugs)
Version: 3.0.0
Hardware: All Linux
urgent
high vote
Target Milestone: ---
: ---
Assignee: Joseph Marques
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon-sprint12-bugs
TreeView+ depends on / blocked
 
Reported: 2010-07-22 15:33 UTC by Joseph Marques
Modified: 2010-08-12 16:46 UTC (History)
0 users

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:46:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joseph Marques 2010-07-22 15:33:17 UTC
Description of problem:

When you click the "PICK" button to choose a resource to execute an operation on as the result of an alert, nothing pops open.

Version-Release number of selected component (if applicable):

release-3.0.0 branch

How reproducible:

Known to fail on both IE7 and IE8

Steps to Reproduce:
1. create new alert definition on any resource, using any condition
2. click "EDIT..." in the "Notification Actions" section
3. click "Add New", choose "Resource Operations" type
4. select the newly created alert notification
5. choose "specific resource" for the selection mode, click save
6. click the pick button
  
Actual results:

Nothing happens visually, a javascript error is reported in the console.

Expected results:

A new windows open up that allows you to browser the resource inventory, find the resource you want to execute some operation on, and select it.

Additional info:

Comment 1 Joseph Marques 2010-07-22 16:26:59 UTC
commit 9ed8f96c231bdce5ca78f3b2ea32b7ef5949e2fb (release-3.0.0)
Author: Joseph Marques <joseph@redhat.com>
Date:   Thu Jul 22 12:20:34 2010 -0400

    BZ-617257: windows does not open on IE if name includes whitespace

Comment 2 Corey Welton 2010-07-23 04:53:06 UTC
QA Verified -- tested against IE7/8

Comment 3 Corey Welton 2010-08-12 16:46:51 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.